---
updatedAt: 2026-09-15T17:14:28.000Z
agentTools:
  projectIndex: https://developers.samsara.com/llms.txt
---

# Update a warranty claim

Updates an existing warranty claim for the organization.

 <b>Rate limit:</b> 5 requests/sec (learn more about rate limits <a href="https://developers.samsara.com/docs/rate-limits" target="_blank">here</a>).

To use this endpoint, select **Write Warranties** under the Work Orders category when creating or editing an API token. <a href="https://developers.samsara.com/docs/authentication#scopes-for-api-tokens" target="_blank">Learn More.</a>
 

 **Submit Feedback**: Likes, dislikes, and API feature requests should be filed as feedback in our <a href="https://forms.gle/zkD4NCH7HjKb7mm69" target="_blank">API feedback form</a>. If you encountered an issue or noticed inaccuracies in the API documentation, please <a href="https://www.samsara.com/help" target="_blank">submit a case</a> to our support team.

# OpenAPI definition

````json
{
  "components": {
    "schemas": {
      "EntityUpdateWarrantyClaimAssetRefTypeResponseBody": {
        "description": "Reference to a Asset",
        "properties": {
          "id": {
            "description": "The ID of the referenced Asset.",
            "example": "281474976710656",
            "type": "string"
          }
        },
        "required": [
          "id"
        ],
        "type": "object"
      },
      "EntityUpdateWarrantyClaimTypeResponseBody": {
        "description": "WarrantyClaim object",
        "properties": {
          "asset": {
            "$ref": "#/components/schemas/EntityUpdateWarrantyClaimAssetRefTypeResponseBody"
          },
          "cause": {
            "description": "The cause of the 3 Cs - the root cause found.",
            "example": "12345",
            "type": "string"
          },
          "claimEngineHours": {
            "description": "Engine hours at the time of repair.",
            "example": 12345,
            "format": "int64",
            "type": "integer"
          },
          "claimOdometerMeters": {
            "description": "Asset odometer reading at the time of repair. Measured in meters.",
            "example": 12345,
            "format": "int64",
            "type": "integer"
          },
          "claimStatus": {
            "description": "Current status of the claim.  Valid values: `unknown`, `created`, `submitted`, `inReview`, `approved`, `rejected`, `resubmitted`, `reimbursed`",
            "enum": [
              "unknown",
              "created",
              "submitted",
              "inReview",
              "approved",
              "rejected",
              "resubmitted",
              "reimbursed"
            ],
            "example": "unknown",
            "type": "string"
          },
          "componentInstanceIds": {
            "description": "IDs of asset component instances covered by this claim.",
            "example": [
              "12345",
              "12345",
              "12345",
              "12345"
            ],
            "items": {
              "description": "element",
              "example": "12345",
              "type": "string"
            },
            "type": "array"
          },
          "concern": {
            "description": "The concern of the 3 Cs - what was reported.",
            "example": "12345",
            "type": "string"
          },
          "correction": {
            "description": "The correction of the 3 Cs - the work performed.",
            "example": "12345",
            "type": "string"
          },
          "createdAtTime": {
            "description": "When the claim was created.",
            "example": "2019-06-13T19:08:25Z",
            "type": "string"
          },
          "externalIds": {
            "description": "Customer-supplied external identifiers for the warranty claim, interchangeable with id in filters. Only included in the response when includeExternalIds is set.",
            "items": {
              "$ref": "#/components/schemas/UpdateWarrantyClaimEntityWarrantyClaimWarrantyClaimExternalIdTypeResponseBody"
            },
            "type": "array"
          },
          "id": {
            "description": "Samsara ID for the warranty claim.",
            "example": "12345",
            "type": "string"
          },
          "labor": {
            "description": "Labor being claimed.",
            "items": {
              "$ref": "#/components/schemas/UpdateWarrantyClaimEntityWarrantyClaimWarrantyClaimLaborTypeResponseBody"
            },
            "type": "array"
          },
          "linkedWarranty": {
            "$ref": "#/components/schemas/EntityUpdateWarrantyClaimWarrantyRefTypeResponseBody"
          },
          "linkedWorkOrderIds": {
            "description": "IDs of the work orders associated with this claim.",
            "example": [
              "12345",
              "12345"
            ],
            "items": {
              "description": "element",
              "example": "12345",
              "type": "string"
            },
            "type": "array"
          },
          "mediaItemIds": {
            "description": "IDs of media items attached to the claim.",
            "example": [
              "12345",
              "12345"
            ],
            "items": {
              "description": "element",
              "example": "12345",
              "type": "string"
            },
            "type": "array"
          },
          "otherCost": {
            "$ref": "#/components/schemas/UpdateWarrantyClaimEntityWarrantyClaimMoneyTypeResponseBody"
          },
          "parts": {
            "description": "Parts being claimed.",
            "items": {
              "$ref": "#/components/schemas/UpdateWarrantyClaimEntityWarrantyClaimWarrantyClaimPartTypeResponseBody"
            },
            "type": "array"
          },
          "reimbursedAtTime": {
            "description": "When reimbursement was received.",
            "example": "2019-06-13T19:08:25Z",
            "type": "string"
          },
          "reimbursements": {
            "description": "Reimbursement amounts, optionally linked to a work order.",
            "items": {
              "$ref": "#/components/schemas/UpdateWarrantyClaimEntityWarrantyClaimClaimReimbursementTypeResponseBody"
            },
            "type": "array"
          },
          "repairCompletedAtTime": {
            "description": "When the repair was completed.",
            "example": "2019-06-13T19:08:25Z",
            "type": "string"
          },
          "resolutionAtTime": {
            "description": "When the claim was resolved.",
            "example": "2019-06-13T19:08:25Z",
            "type": "string"
          },
          "statusHistory": {
            "description": "Audit trail of status changes. Server-managed and read-only.",
            "items": {
              "$ref": "#/components/schemas/UpdateWarrantyClaimEntityWarrantyClaimWarrantyClaimStatusHistoryTypeResponseBody"
            },
            "type": "array"
          },
          "submittedAtTime": {
            "description": "When the claim was submitted to the vendor.",
            "example": "2019-06-13T19:08:25Z",
            "type": "string"
          },
          "updatedAtTime": {
            "description": "When the claim was last updated.",
            "example": "2019-06-13T19:08:25Z",
            "type": "string"
          },
          "warrantyVendor": {
            "$ref": "#/components/schemas/EntityUpdateWarrantyClaimVendorRefTypeResponseBody"
          }
        },
        "type": "object"
      },
      "EntityUpdateWarrantyClaimVendorRefTypeResponseBody": {
        "description": "Reference to a Vendor",
        "properties": {
          "id": {
            "description": "The ID of the referenced Vendor.",
            "example": "281474976710656",
            "type": "string"
          }
        },
        "required": [
          "id"
        ],
        "type": "object"
      },
      "EntityUpdateWarrantyClaimWarrantyRefTypeResponseBody": {
        "description": "Reference to a Warranty",
        "properties": {
          "id": {
            "description": "The ID of the referenced Warranty.",
            "example": "281474976710656",
            "type": "string"
          }
        },
        "required": [
          "id"
        ],
        "type": "object"
      },
      "EntityWarrantyClaimsServiceUpdateWarrantyClaimBadGatewayErrorResponseBody": {
        "description": "Bad Gateway",
        "properties": {
          "message": {
            "description": "Message of error",
            "example": "rpc error: code = Unknown desc = connection refused",
            "type": "string"
          },
          "requestId": {
            "description": "The request ID; used when reaching out to support for issues with requests.",
            "example": "8916e1c1",
            "type": "string"
          }
        },
        "required": [
          "message",
          "requestId"
        ],
        "type": "object"
      },
      "EntityWarrantyClaimsServiceUpdateWarrantyClaimBadRequestErrorResponseBody": {
        "description": "Bad Request parameters",
        "properties": {
          "message": {
            "description": "Message of error",
            "example": "Invalid value for parameter.",
            "type": "string"
          },
          "requestId": {
            "description": "The request ID; used when reaching out to support for issues with requests.",
            "example": "8916e1c1",
            "type": "string"
          }
        },
        "required": [
          "message",
          "requestId"
        ],
        "type": "object"
      },
      "EntityWarrantyClaimsServiceUpdateWarrantyClaimContentTooLargeErrorResponseBody": {
        "description": "Content Too Large",
        "properties": {
          "message": {
            "description": "Message of error",
            "example": "Request content too large.",
            "type": "string"
          },
          "requestId": {
            "description": "The request ID; used when reaching out to support for issues with requests.",
            "example": "8916e1c1",
            "type": "string"
          }
        },
        "required": [
          "message",
          "requestId"
        ],
        "type": "object"
      },
      "EntityWarrantyClaimsServiceUpdateWarrantyClaimGatewayTimeoutErrorResponseBody": {
        "description": "Gateway timeout",
        "properties": {
          "message": {
            "description": "Message of error",
            "example": "context deadline exceeded",
            "type": "string"
          },
          "requestId": {
            "description": "The request ID; used when reaching out to support for issues with requests.",
            "example": "8916e1c1",
            "type": "string"
          }
        },
        "required": [
          "message",
          "requestId"
        ],
        "type": "object"
      },
      "EntityWarrantyClaimsServiceUpdateWarrantyClaimInternalServerErrorResponseBody": {
        "description": "An internal server error occurred",
        "properties": {
          "message": {
            "description": "Message of error",
            "example": "Failed to execute GraphQL query.",
            "type": "string"
          },
          "requestId": {
            "description": "The request ID; used when reaching out to support for issues with requests.",
            "example": "8916e1c1",
            "type": "string"
          }
        },
        "required": [
          "message",
          "requestId"
        ],
        "type": "object"
      },
      "EntityWarrantyClaimsServiceUpdateWarrantyClaimMethodNotAllowedErrorResponseBody": {
        "description": "Method not allowed",
        "properties": {
          "message": {
            "description": "Message of error",
            "example": "DELETE not allowed on /endpoint.",
            "type": "string"
          },
          "requestId": {
            "description": "The request ID; used when reaching out to support for issues with requests.",
            "example": "8916e1c1",
            "type": "string"
          }
        },
        "required": [
          "message",
          "requestId"
        ],
        "type": "object"
      },
      "EntityWarrantyClaimsServiceUpdateWarrantyClaimNotFoundErrorResponseBody": {
        "description": "Resource not found",
        "properties": {
          "message": {
            "description": "Message of error",
            "example": "Object not found.",
            "type": "string"
          },
          "requestId": {
            "description": "The request ID; used when reaching out to support for issues with requests.",
            "example": "8916e1c1",
            "type": "string"
          }
        },
        "required": [
          "message",
          "requestId"
        ],
        "type": "object"
      },
      "EntityWarrantyClaimsServiceUpdateWarrantyClaimNotImplementedErrorResponseBody": {
        "description": "Requested endpoint is not yet implemented",
        "properties": {
          "message": {
            "description": "Message of error",
            "example": "Not implemented.",
            "type": "string"
          },
          "requestId": {
            "description": "The request ID; used when reaching out to support for issues with requests.",
            "example": "8916e1c1",
            "type": "string"
          }
        },
        "required": [
          "message",
          "requestId"
        ],
        "type": "object"
      },
      "EntityWarrantyClaimsServiceUpdateWarrantyClaimRequestBody": {
        "description": "Request body for updating a WarrantyClaim",
        "properties": {
          "assetId": {
            "description": "ID of the asset the claim is filed for. Immutable once set.",
            "example": "281474976710656",
            "type": "string"
          },
          "cause": {
            "description": "The cause of the 3 Cs - the root cause found.",
            "example": "12345",
            "type": "string"
          },
          "claimEngineHours": {
            "description": "Engine hours at the time of repair.",
            "example": 12345,
            "format": "int64",
            "type": "integer"
          },
          "claimOdometerMeters": {
            "description": "Asset odometer reading at the time of repair. Measured in meters.",
            "example": 12345,
            "format": "int64",
            "type": "integer"
          },
          "claimStatus": {
            "description": "Current status of the claim.  Valid values: `unknown`, `created`, `submitted`, `inReview`, `approved`, `rejected`, `resubmitted`, `reimbursed`",
            "enum": [
              "unknown",
              "created",
              "submitted",
              "inReview",
              "approved",
              "rejected",
              "resubmitted",
              "reimbursed"
            ],
            "example": "unknown",
            "type": "string"
          },
          "componentInstanceIds": {
            "description": "IDs of asset component instances covered by this claim.",
            "example": [
              "12345",
              "12345"
            ],
            "items": {
              "description": "element",
              "example": "12345",
              "type": "string"
            },
            "type": "array"
          },
          "concern": {
            "description": "The concern of the 3 Cs - what was reported.",
            "example": "12345",
            "type": "string"
          },
          "correction": {
            "description": "The correction of the 3 Cs - the work performed.",
            "example": "12345",
            "type": "string"
          },
          "externalIds": {
            "description": "Customer-supplied external identifiers for the warranty claim, interchangeable with id in filters. Only included in the response when includeExternalIds is set.",
            "items": {
              "$ref": "#/components/schemas/UpdateWarrantyClaimEntityWarrantyClaimWarrantyClaimExternalIdInputTypeRequestBody"
            },
            "type": "array"
          },
          "labor": {
            "description": "Labor being claimed.",
            "items": {
              "$ref": "#/components/schemas/UpdateWarrantyClaimEntityWarrantyClaimWarrantyClaimLaborInputTypeRequestBody"
            },
            "type": "array"
          },
          "linkedWarrantyId": {
            "description": "ID of the warranty this claim is filed against.",
            "example": "281474976710656",
            "type": "string"
          },
          "linkedWorkOrderIds": {
            "description": "IDs of the work orders associated with this claim.",
            "example": [
              "12345",
              "12345",
              "12345"
            ],
            "items": {
              "description": "element",
              "example": "12345",
              "type": "string"
            },
            "type": "array"
          },
          "mediaItemIds": {
            "description": "IDs of media items attached to the claim.",
            "example": [
              "12345",
              "12345",
              "12345"
            ],
            "items": {
              "description": "element",
              "example": "12345",
              "type": "string"
            },
            "type": "array"
          },
          "otherCost": {
            "$ref": "#/components/schemas/UpdateWarrantyClaimEntityWarrantyClaimMoneyInputTypeRequestBody"
          },
          "parts": {
            "description": "Parts being claimed.",
            "items": {
              "$ref": "#/components/schemas/UpdateWarrantyClaimEntityWarrantyClaimWarrantyClaimPartInputTypeRequestBody"
            },
            "type": "array"
          },
          "reimbursedAtTime": {
            "description": "When reimbursement was received.",
            "example": "2019-06-13T19:08:25Z",
            "type": "string"
          },
          "reimbursements": {
            "description": "Reimbursement amounts, optionally linked to a work order.",
            "items": {
              "$ref": "#/components/schemas/UpdateWarrantyClaimEntityWarrantyClaimClaimReimbursementInputTypeRequestBody"
            },
            "type": "array"
          },
          "repairCompletedAtTime": {
            "description": "When the repair was completed.",
            "example": "2019-06-13T19:08:25Z",
            "type": "string"
          },
          "resolutionAtTime": {
            "description": "When the claim was resolved.",
            "example": "2019-06-13T19:08:25Z",
            "type": "string"
          },
          "submittedAtTime": {
            "description": "When the claim was submitted to the vendor.",
            "example": "2019-06-13T19:08:25Z",
            "type": "string"
          },
          "warrantyVendorId": {
            "description": "ID of the vendor handling the claim.",
            "example": "281474976710656",
            "type": "string"
          }
        },
        "type": "object"
      },
      "EntityWarrantyClaimsServiceUpdateWarrantyClaimResponseBody": {
        "properties": {
          "data": {
            "$ref": "#/components/schemas/EntityUpdateWarrantyClaimTypeResponseBody"
          }
        },
        "required": [
          "data"
        ],
        "type": "object"
      },
      "EntityWarrantyClaimsServiceUpdateWarrantyClaimServiceUnavailableErrorResponseBody": {
        "description": "Service unavailable",
        "properties": {
          "message": {
            "description": "Message of error",
            "example": "context deadline exceeded",
            "type": "string"
          },
          "requestId": {
            "description": "The request ID; used when reaching out to support for issues with requests.",
            "example": "8916e1c1",
            "type": "string"
          }
        },
        "required": [
          "message",
          "requestId"
        ],
        "type": "object"
      },
      "EntityWarrantyClaimsServiceUpdateWarrantyClaimTooManyRequestsErrorResponseBody": {
        "description": "Too many requests",
        "properties": {
          "message": {
            "description": "Message of error",
            "example": "Exceeded rate limit.",
            "type": "string"
          },
          "requestId": {
            "description": "The request ID; used when reaching out to support for issues with requests.",
            "example": "8916e1c1",
            "type": "string"
          }
        },
        "required": [
          "message",
          "requestId"
        ],
        "type": "object"
      },
      "EntityWarrantyClaimsServiceUpdateWarrantyClaimUnauthorizedErrorResponseBody": {
        "description": "Unauthorized",
        "properties": {
          "message": {
            "description": "Message of error",
            "example": "Invalid token.",
            "type": "string"
          },
          "requestId": {
            "description": "The request ID; used when reaching out to support for issues with requests.",
            "example": "8916e1c1",
            "type": "string"
          }
        },
        "required": [
          "message",
          "requestId"
        ],
        "type": "object"
      },
      "UpdateWarrantyClaimEntityWarrantyClaimClaimReimbursementInputTypeRequestBody": {
        "description": "ClaimReimbursement object",
        "properties": {
          "reimbursement": {
            "$ref": "#/components/schemas/UpdateWarrantyClaimEntityWarrantyClaimMoneyInputTypeRequestBody"
          },
          "workOrderId": {
            "description": "Work order the reimbursement is applied to.",
            "example": "12345",
            "type": "string"
          }
        },
        "type": "object"
      },
      "UpdateWarrantyClaimEntityWarrantyClaimClaimReimbursementTypeResponseBody": {
        "description": "ClaimReimbursement object",
        "properties": {
          "reimbursement": {
            "$ref": "#/components/schemas/UpdateWarrantyClaimEntityWarrantyClaimMoneyTypeResponseBody"
          },
          "workOrderId": {
            "description": "Work order the reimbursement is applied to.",
            "example": "12345",
            "type": "string"
          }
        },
        "type": "object"
      },
      "UpdateWarrantyClaimEntityWarrantyClaimMoneyInputTypeRequestBody": {
        "description": "Money object",
        "properties": {
          "amount": {
            "description": "Monetary amount as a decimal string in major currency units (e.g. \"24.50\").",
            "example": "12345",
            "type": "string"
          },
          "currency": {
            "description": "ISO 4217 currency code, lowercased (e.g. \"usd\").",
            "example": "12345",
            "type": "string"
          }
        },
        "required": [
          "amount",
          "currency"
        ],
        "type": "object"
      },
      "UpdateWarrantyClaimEntityWarrantyClaimMoneyTypeResponseBody": {
        "description": "Money object",
        "properties": {
          "amount": {
            "description": "Monetary amount as a decimal string in major currency units (e.g. \"24.50\").",
            "example": "12345",
            "type": "string"
          },
          "currency": {
            "description": "ISO 4217 currency code, lowercased (e.g. \"usd\").",
            "example": "12345",
            "type": "string"
          }
        },
        "type": "object"
      },
      "UpdateWarrantyClaimEntityWarrantyClaimWarrantyClaimExternalIdInputTypeRequestBody": {
        "description": "WarrantyClaimExternalId object",
        "properties": {
          "key": {
            "description": "Name of the external ID namespace, for example a source system identifier.",
            "example": "12345",
            "type": "string"
          },
          "value": {
            "description": "The external ID value within the given key's namespace.",
            "example": "12345",
            "type": "string"
          }
        },
        "required": [
          "key",
          "value"
        ],
        "type": "object"
      },
      "UpdateWarrantyClaimEntityWarrantyClaimWarrantyClaimExternalIdTypeResponseBody": {
        "description": "WarrantyClaimExternalId object",
        "properties": {
          "key": {
            "description": "Name of the external ID namespace, for example a source system identifier.",
            "example": "12345",
            "type": "string"
          },
          "value": {
            "description": "The external ID value within the given key's namespace.",
            "example": "12345",
            "type": "string"
          }
        },
        "type": "object"
      },
      "UpdateWarrantyClaimEntityWarrantyClaimWarrantyClaimLaborInputTypeRequestBody": {
        "description": "WarrantyClaimLabor object",
        "properties": {
          "cost": {
            "$ref": "#/components/schemas/UpdateWarrantyClaimEntityWarrantyClaimMoneyInputTypeRequestBody"
          },
          "description": {
            "description": "Free-text labor description.",
            "example": "12345",
            "type": "string"
          },
          "serviceTaskId": {
            "description": "Service task the labor belongs to.",
            "example": "12345",
            "type": "string"
          },
          "sourceWorkOrderId": {
            "description": "Work order the labor cost originated from.",
            "example": "12345",
            "type": "string"
          },
          "vmrsCode": {
            "description": "Dotted VMRS code path (e.g. 034-005-001) associated with this labor line.",
            "example": "12345",
            "type": "string"
          }
        },
        "type": "object"
      },
      "UpdateWarrantyClaimEntityWarrantyClaimWarrantyClaimLaborTypeResponseBody": {
        "description": "WarrantyClaimLabor object",
        "properties": {
          "cost": {
            "$ref": "#/components/schemas/UpdateWarrantyClaimEntityWarrantyClaimMoneyTypeResponseBody"
          },
          "description": {
            "description": "Free-text labor description.",
            "example": "12345",
            "type": "string"
          },
          "serviceTaskId": {
            "description": "Service task the labor belongs to.",
            "example": "12345",
            "type": "string"
          },
          "sourceWorkOrderId": {
            "description": "Work order the labor cost originated from.",
            "example": "12345",
            "type": "string"
          },
          "vmrsCode": {
            "description": "Dotted VMRS code path (e.g. 034-005-001) associated with this labor line.",
            "example": "12345",
            "type": "string"
          }
        },
        "type": "object"
      },
      "UpdateWarrantyClaimEntityWarrantyClaimWarrantyClaimPartInputTypeRequestBody": {
        "description": "WarrantyClaimPart object",
        "properties": {
          "cost": {
            "$ref": "#/components/schemas/UpdateWarrantyClaimEntityWarrantyClaimMoneyInputTypeRequestBody"
          },
          "description": {
            "description": "Free-text part description.",
            "example": "12345",
            "type": "string"
          },
          "partDefinitionId": {
            "description": "ID of the part definition being claimed.",
            "example": "12345",
            "type": "string"
          },
          "partId": {
            "description": "Specific part-instance ID.",
            "example": "12345",
            "type": "string"
          },
          "quantity": {
            "description": "Quantity claimed.",
            "example": 12345,
            "format": "int64",
            "type": "integer"
          },
          "serviceTaskId": {
            "description": "Service task the part belongs to.",
            "example": "12345",
            "type": "string"
          },
          "sourceWorkOrderId": {
            "description": "Work order the part cost originated from.",
            "example": "12345",
            "type": "string"
          },
          "vmrsCode": {
            "description": "Dotted VMRS code path (e.g. 034-005-001) associated with this part line.",
            "example": "12345",
            "type": "string"
          }
        },
        "required": [
          "partDefinitionId"
        ],
        "type": "object"
      },
      "UpdateWarrantyClaimEntityWarrantyClaimWarrantyClaimPartTypeResponseBody": {
        "description": "WarrantyClaimPart object",
        "properties": {
          "cost": {
            "$ref": "#/components/schemas/UpdateWarrantyClaimEntityWarrantyClaimMoneyTypeResponseBody"
          },
          "description": {
            "description": "Free-text part description.",
            "example": "12345",
            "type": "string"
          },
          "partDefinitionId": {
            "description": "ID of the part definition being claimed.",
            "example": "12345",
            "type": "string"
          },
          "partId": {
            "description": "Specific part-instance ID.",
            "example": "12345",
            "type": "string"
          },
          "quantity": {
            "description": "Quantity claimed.",
            "example": 12345,
            "format": "int64",
            "type": "integer"
          },
          "serviceTaskId": {
            "description": "Service task the part belongs to.",
            "example": "12345",
            "type": "string"
          },
          "sourceWorkOrderId": {
            "description": "Work order the part cost originated from.",
            "example": "12345",
            "type": "string"
          },
          "vmrsCode": {
            "description": "Dotted VMRS code path (e.g. 034-005-001) associated with this part line.",
            "example": "12345",
            "type": "string"
          }
        },
        "type": "object"
      },
      "UpdateWarrantyClaimEntityWarrantyClaimWarrantyClaimStatusHistoryTypeResponseBody": {
        "description": "WarrantyClaimStatusHistory object",
        "properties": {
          "happenedAtTime": {
            "description": "When the transition occurred.",
            "example": "2019-06-13T19:08:25Z",
            "type": "string"
          },
          "status": {
            "description": "The status the claim moved into.  Valid values: `unknown`, `created`, `submitted`, `inReview`, `approved`, `rejected`, `resubmitted`, `reimbursed`",
            "enum": [
              "unknown",
              "created",
              "submitted",
              "inReview",
              "approved",
              "rejected",
              "resubmitted",
              "reimbursed"
            ],
            "example": "unknown",
            "type": "string"
          },
          "userId": {
            "description": "ID of the user who made the change.",
            "example": "12345",
            "type": "string"
          }
        },
        "type": "object"
      }
    },
    "securitySchemes": {
      "AccessTokenHeader": {
        "type": "http",
        "scheme": "bearer"
      }
    }
  },
  "info": {
    "description": "# Overview\n\n> 📘 Something new!\n>\n> Welcome Samsara's new and improved API. Check out our FAQ [here](https://developers.samsara.com/docs/introducing-our-next-generation-api) to see what's changed and learn how to get started.\n>\n> Want to access the legacy API docs? You can find them [here](https://www.samsara.com/api-legacy).\n>\n> _Note: Because this is a new set of APIs, we have not transitioned all endpoints over to this standard. Endpoints that still use the legacy standards are indicated in the reference documentation. If you can't find an API that you're looking for, we encourage you to look for it in our [legacy API docs](https://www.samsara.com/api-legacy) as we continue to transition all endpoints over. Check back here for updates!_\n>\n> Submit your feedback [here](https://forms.gle/r4bs6HQshQAvBuwv6)!\n\nSamsara provides API endpoints so that you can build powerful applications and custom solutions with sensor data. Samsara has endpoints available to track and analyze sensors, vehicles, and entire fleets.\n\nThe Samsara API is a [RESTful API](https://en.wikipedia.org/wiki/Representational_state_transfer). It uses standard [HTTP](https://en.wikipedia.org/wiki/Hypertext_Transfer_Protocol) authentication, verbs, and response codes, and it returns [JSON](http://www.json.org/) response bodies. If you're familiar with what you can build with a REST API, then this will be your go-to API reference.\n\nVisit [developers.samsara.com](https://developers.samsara.com) to find getting started guides and an API overview.\n\nIf you have any questions, please visit https://samsara.com/help.\n\n## Endpoints\n\nAll our APIs can be accessed through HTTP requests to URLs like:\n\n```\nhttps://api.samsara.com/<endpoint>\n```\n\nFor EU customers, this URL will be:\n\n```\nhttps://api.eu.samsara.com/<endpoint>\n```\n\n> 🚧 Note\n>\n> Legacy endpoints will have the URL: `https://api.samsara.com/v1/<endpoint>` or `https://api.eu.samsara.com/v1/<endpoint>`\n\n## Authentication\n\nTo authenticate your API request you will need to include your secret token. You can manage your API tokens in the [Dashboard](https://cloud.samsara.com). They are visible under `Settings->Organization->API Tokens`.\n\nYour API tokens carry many privileges, so be sure to keep them secure. Do not share your secret API tokens in publicly accessible areas such as GitHub, client-side code, and so on.\n\nAuthentication to the API is performed via Bearer Token in the HTTP Authorization header. Provide your API token as the `access_token` value in an `Authorization: Bearer` header. You do not need to provide a password:\n\n```curl\nAuthorization: Bearer {access_token}\n```\n\nAll API requests must be made over [HTTPS](https://en.wikipedia.org/wiki/HTTPS). Calls made over plain HTTP or without authentication will fail.\n\n### OAuth2\n\nIf building an application for our marketplace, our API is accessible via. OAuth2 as well.\n\n| Type              |                  Value                   |\n| ----------------- | :--------------------------------------: |\n| Security scheme   |                  OAuth2                  |\n| OAuth2 Flow       |                accessCode                |\n| Authorization URL | https://api.samsara.com/oauth2/authorize |\n| Token URL         |   https://api.samsara.com/oauth2/token   |\n\n## Common Patterns\n\nYou can find more info about request methods, response codes, error codes, versioning, pagination, timestamps, and mini-objects [here](https://developers.samsara.com/docs/common-structures).\n",
    "title": "Samsara API",
    "version": "2025-10-23"
  },
  "openapi": "3.0.1",
  "paths": {
    "/maintenance/warranty-claims": {
      "patch": {
        "description": "Updates an existing warranty claim for the organization.\n\n <b>Rate limit:</b> 5 requests/sec (learn more about rate limits <a href=\"https://developers.samsara.com/docs/rate-limits\" target=\"_blank\">here</a>).\n\nTo use this endpoint, select **Write Warranties** under the Work Orders category when creating or editing an API token. <a href=\"https://developers.samsara.com/docs/authentication#scopes-for-api-tokens\" target=\"_blank\">Learn More.</a>\n \n\n **Submit Feedback**: Likes, dislikes, and API feature requests should be filed as feedback in our <a href=\"https://forms.gle/zkD4NCH7HjKb7mm69\" target=\"_blank\">API feedback form</a>. If you encountered an issue or noticed inaccuracies in the API documentation, please <a href=\"https://www.samsara.com/help\" target=\"_blank\">submit a case</a> to our support team.",
        "operationId": "updateWarrantyClaim",
        "parameters": [
          {
            "description": "Unique identifier for the WarrantyClaim record.",
            "in": "query",
            "name": "id",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/EntityWarrantyClaimsServiceUpdateWarrantyClaimRequestBody"
              }
            }
          },
          "required": true
        },
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/EntityWarrantyClaimsServiceUpdateWarrantyClaimResponseBody"
                }
              }
            },
            "description": "OK response."
          },
          "401": {
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/EntityWarrantyClaimsServiceUpdateWarrantyClaimUnauthorizedErrorResponseBody"
                }
              }
            },
            "description": "Unauthorized response."
          },
          "404": {
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/EntityWarrantyClaimsServiceUpdateWarrantyClaimNotFoundErrorResponseBody"
                }
              }
            },
            "description": "Not Found response."
          },
          "405": {
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/EntityWarrantyClaimsServiceUpdateWarrantyClaimMethodNotAllowedErrorResponseBody"
                }
              }
            },
            "description": "Method Not Allowed response."
          },
          "413": {
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/EntityWarrantyClaimsServiceUpdateWarrantyClaimContentTooLargeErrorResponseBody"
                }
              }
            },
            "description": "Content Too Large response."
          },
          "429": {
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/EntityWarrantyClaimsServiceUpdateWarrantyClaimTooManyRequestsErrorResponseBody"
                }
              }
            },
            "description": "Too Many Requests response."
          },
          "500": {
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/EntityWarrantyClaimsServiceUpdateWarrantyClaimInternalServerErrorResponseBody"
                }
              }
            },
            "description": "Internal Server Error response."
          },
          "501": {
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/EntityWarrantyClaimsServiceUpdateWarrantyClaimNotImplementedErrorResponseBody"
                }
              }
            },
            "description": "Not Implemented response."
          },
          "502": {
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/EntityWarrantyClaimsServiceUpdateWarrantyClaimBadGatewayErrorResponseBody"
                }
              }
            },
            "description": "Bad Gateway response."
          },
          "503": {
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/EntityWarrantyClaimsServiceUpdateWarrantyClaimServiceUnavailableErrorResponseBody"
                }
              }
            },
            "description": "Service Unavailable response."
          },
          "504": {
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/EntityWarrantyClaimsServiceUpdateWarrantyClaimGatewayTimeoutErrorResponseBody"
                }
              }
            },
            "description": "Gateway Timeout response."
          },
          "default": {
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/EntityWarrantyClaimsServiceUpdateWarrantyClaimBadRequestErrorResponseBody"
                }
              }
            },
            "description": "Bad Request response."
          }
        },
        "summary": "Update a warranty claim",
        "tags": [
          "Maintenance"
        ],
        "x-codegen-request-body-name": "UpdateWarrantyClaimRequestBody"
      }
    }
  },
  "security": [
    {
      "AccessTokenHeader": []
    }
  ],
  "servers": [
    {
      "url": "https://api.samsara.com"
    },
    {
      "url": "https://api.eu.samsara.com"
    },
    {
      "url": "https://api.ca.samsara.com"
    }
  ],
  "tags": [
    {
      "name": "Maintenance"
    }
  ],
  "x-original-swagger-version": "2.0"
}
````